#include "centro.h"

void Centro::alta(Persona &p){
	Persona *pp=p.clona_persona();
	personas.push_back(pp);
	Empleado *pe=dynamic_cast<Empleado *>(pp);
	if (pe)
		empleados.push_back(pe);
}

void Centro::imprimir_personas(ostream &os) const{
	for (list<Persona *>::const_iterator i=personas.begin();
		i!=personas.end(); i++)
		os << *(*i);
} 
bool Centro::baja(int id){
	for (list<Empleado *>::iterator i=empleados.begin();
		i!=empleados.end(); i++)
		if ((*i)->obtener_id()==id) {
			empleados.erase(i);
			break;
		}
	for (list<Persona *>::iterator i=personas.begin();
		i!=personas.end(); i++)
		if ((*i)->obtener_id()==id) {
			delete(*i);
			personas.erase(i);
			return true;
		}
	return false;
}
void Centro::imprimir_nomina(ostream &os) const{
	for (list<Empleado *>::const_iterator i=empleados.begin();
                i!=empleados.end(); i++) {
                os << "Nombre y apellidos: " << (*i)->nombre_apellidos()
                << " Nómina: " << (*i)->salario() << endl;
        }
}

ostream & operator<< (ostream &os, const Centro &c) {
        c.imprimir_personas(os);
        return os;
}
