#include "empleado.h"

void Empleado::imprimir(ostream &os) const{
	Persona::imprimir(os);
	os << "Datos del trabajador" << endl;
	os << "\tFecha de alta: " << fecha_alta << endl;
	os << "\tDespacho: " << despacho << endl;
}
void Empleado::cambiar_despacho(int d) {
	despacho=d;
}
int Empleado::obtener_fecha_alta() const {
	return fecha_alta;
}

void Empleado::leer(istream &is) {
        Persona::leer(is);
        cout << "Fecha de alta: ";
        is >> fecha_alta;
        cout << "Despacho: ";
        is >> despacho;
}

ostream & operator<< (ostream &os, const Empleado &e) {
        e.imprimir(os);
        return os;
}
istream & operator>> (istream &is, Empleado &e) {
        e.leer(is);
        return is;
}

