#include "estudiante.h"
Persona *Estudiante::clona_persona () {
	return new Estudiante(*this);
}

void Estudiante::imprimir(ostream &os) const{
	Persona::imprimir(os);
	os << "Datos academicos" << endl;
	os << "\tCurso: " << curso << endl;
}

void Estudiante::cambiar_curso(int c) {
	curso=c;
}
void Estudiante::leer(istream &is) {
        Persona::leer(is);
        cout << "Curso: ";
        is >> curso;
}
ostream & operator<< (ostream &os, const Estudiante &e) {
        e.imprimir(os);
        return os;
}
istream & operator>> (istream &is, Estudiante &e) {
        e.leer(is);
        return is;
}

