#include "pas.h"

Persona *PAS::clona_persona () {
	return new PAS(*this);
}
void PAS::imprimir(ostream &os) const{
	Empleado::imprimir(os);
	os << "Datos laborales" << endl;
	os << "\tSección: " << seccion << endl;
}

void PAS::cambiar_seccion(string sec) {
	seccion=sec;

}
int PAS::salario() {
        return  ((obtener_estado_civil()!="casado")?sueldo_base:(sueldo_base*105/100));
}

void PAS::leer(istream &is) {
        Empleado::leer(is);
        cout << "Sección: ";
        is >> seccion;
}
ostream & operator<< (ostream &os, const PAS &p) {
        p.imprimir(os);
        return os;
}
istream & operator>> (istream &is, PAS &p) {
        p.leer(is);
        return is;
}
