#include <iostream>
#include <string>
#include "persona.h"
using namespace std;


string Persona::obtener_estado_civil() const {
        return estado_civil;
}

string Persona::nombre_apellidos() const {
        return (nombre + " " + apellido1 + " " + apellido2);
}

int Persona::obtener_id() const {
	return DNI;
}

void Persona::cambiar_estado_civil(string e) {
	estado_civil = e;
}

void Persona::imprimir(ostream &os) const{
	os << "Datos personales" << endl;
	os << "\tNombre y apellidos: " << nombre << " " <<
		apellido1 << " " << apellido2 << " " << endl;
	os << "\tDNI: " << DNI << endl;
	os << "\tEstado civil: " << estado_civil << endl;
}

void Persona::leer(istream &is) {
        cout << "Nombre: ";
        is >> nombre;
        cout << "Primer apellido: ";
        is >> apellido1;
        cout << "Segundo apellido: ";
        is >> apellido2;
        cout << "DNI: ";
        is >> DNI;
        cout << "Estado civil: ";
        is >> estado_civil;
}

ostream & operator<< (ostream &os, const Persona &p) {
        p.imprimir(os);
        return os;
}
istream & operator>> (istream &is, Persona &p) {
        p.leer(is);
        return is;
}



