#include "profesor.h"

Persona *Profesor::clona_persona () {
	return new Profesor(*this);
}

void Profesor::imprimir(ostream &os) const{
	Empleado::imprimir(os);
	os << "Datos laborales" << endl;
	os << "\tDepartamento: " << dpto << endl;
}

void Profesor::cambiar_dpto(string dep) {
	dpto=dep;

}

int Profesor::salario() {
        return  ((obtener_fecha_alta()>=2000)?sueldo_base:(sueldo_base*108/100));
}

void Profesor::leer(istream &is) {
        Empleado::leer(is);
        cout << "Departamento: ";
        is >> dpto;
}
ostream & operator<< (ostream &os, const Profesor &p) {
        p.imprimir(os);
        return os;
}
istream & operator>> (istream &is, Profesor &p) {
        p.leer(is);
        return is;
}

