#ifndef PROFESOR_H
#define PROFESOR_H
#include <iostream>
#include <string>
#include "empleado.h"
using namespace std;


class Profesor: public Empleado {
private:
	string dpto;
	static int const sueldo_base=1000;
public:
	Profesor(string a1="", string a2="", string n="",
	    int id=0, string e="", int fa=1900, int d=0, string dep=""):
		Empleado(a1, a2, n, id, e, fa, d), dpto(dep) {}
	void imprimir(ostream &os) const;
	void cambiar_dpto(string dep);
	Persona *clona_persona ();
	int salario();
	void leer(istream &is);
};
ostream & operator<< (ostream &os, const Profesor &p);
istream & operator>> (istream &is, Profesor &p);
#endif

