#ifndef CENTRO_H
#define CENTRO_H
#include <iostream>
#include <string>
#include <list>
#include "empleado.h"

using namespace std;

class Centro {
private:
	list<Persona *> personas;
	list<Empleado *> empleados;
	
public:
	void alta(Persona &p);
	bool baja(int DNI);
	void imprimir_personas(ostream &os) const;
	void imprimir_nomina(ostream &os) const;
};
ostream & operator<< (ostream &os, const Centro &c);
#endif

