#ifndef EMPLEADO_H
#define EMPLEADO_H
#include <iostream>
#include <string>
#include <list>
#include "persona.h"
using namespace std;

class Empleado: public Persona {
private:
	int fecha_alta;
	int despacho;
protected:
	Empleado(string a1="", string a2="", string n="",
	    int id=0, string e="", int fa=1900, int d=0):
		Persona(a1, a2, n, id, e), fecha_alta(fa), despacho(d) {}
public:
	void imprimir(ostream &os) const;
	void cambiar_despacho(int d);
	int obtener_fecha_alta() const;
	void leer(istream &is);
	virtual int salario()=0;
	virtual ~Empleado() {}
};
	ostream & operator<< (ostream &os, const Empleado &e);
	istream & operator>> (istream &is, Empleado &e);
#endif


