#ifndef ESTUDIANTE_H
#define ESTUDIANTE_H

#include <iostream>
#include <string>
#include "persona.h"
using namespace std;

class Estudiante: public Persona {
private:
	int curso;
public:
	Estudiante(string a1="", string a2="", string n="",
	    int id=0, string e="", int c=0):
		Persona(a1, a2, n, id, e), curso(c) {}
	void imprimir(ostream &os) const;
	void cambiar_curso(int c);
	Persona *clona_persona ();
	void leer(istream &is);
};
ostream & operator<< (ostream &os, const Estudiante &e);
istream & operator>> (istream &is, Estudiante &e);
#endif
