#ifndef PAS_H
#define PAS_H
#include <iostream>
#include <string>
#include "empleado.h"
using namespace std;

class PAS: public Empleado {
private:
	string seccion;
	static int const sueldo_base=1000;
public:
	PAS(string a1="", string a2="", string n="",
	    int id=0, string e="", int fa=1900, int d=0, string s=""):
		Empleado(a1, a2, n, id, e, fa, d), seccion(s) {}
	void imprimir(ostream &os) const;
	void cambiar_seccion(string sec);
	Persona *clona_persona ();
	int salario();
	void leer(istream &is);
};
ostream & operator<< (ostream &os, const PAS &p);
istream & operator>> (istream &is, PAS &p);
#endif
