#ifndef PERSONA_H
#define PERSONA_H

#include <iostream>
#include <string>
using namespace std;

class Persona {
private:
	string apellido1;
	string apellido2;
	string nombre;
	int DNI;
	string estado_civil;
protected:
	Persona(string a1="", string a2="", string n="",
	    int id=0, string e=""):
		apellido1(a1), apellido2(a2), nombre(n), DNI(id),
		estado_civil(e) {}
public:
	void cambiar_estado_civil(string e);
	string obtener_estado_civil() const;
	virtual void imprimir(ostream &os) const;
	virtual void leer(istream &is);
	int obtener_id() const;
	virtual Persona * clona_persona ()=0;
	string nombre_apellidos() const;
	virtual ~Persona() {}
};
	ostream & operator<< (ostream &os, const Persona &p);
	istream & operator>> (istream &is, Persona &p);
#endif

